(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory();
	else if(typeof define === 'function' && define.amd)
		define([], factory);
	else {
		var a = factory();
		for(var i in a) (typeof exports === 'object' ? exports : root)[i] = a[i];
	}
})(typeof self !== 'undefined' ? self : this, function() {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 1);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/* harmony default export */ __webpack_exports__["a"] = ({
	name: 'ZSmsVerify',
	props: {
		size: {
			type: String,
			default: ''
		},
		border: {
			type: Boolean,
			default: true
		},
		labelWidth: {
			type: Number,
			default: 60
		},
		maxlength: {
			type: Number,
			default: 4
		},
		sendUrl: {
			type: String,
			default: '',
			required: true
		},
		checkUrl: {
			type: String,
			default: ''
		},
		vant: {
			type: Boolean,
			default: false
		}
	},
	data() {
		return {
			sendBtn: false,
			readonly: false,
			phone: '',
			verify: '',
			wait: 0
		};
	},
	computed: {
		btnText() {
			return this.wait > 0 ? this.wait + 's再获取' : '获取验证码';
		}
	},
	mounted() {
		// 页面加载时获取保存时间和当前时间的差值
		let timeCount = sessionStorage.wait - Math.round(new Date().getTime() / 1000);
		if (timeCount > 0) {
			this.wait = timeCount;
			this.sendBtn = true;
			this.timer();
		} else {
			// 本地存储等待时间清空
			sessionStorage.removeItem('wait');
			// 等待时间归零
			this.wait = 0;
			// 启用发送验证码按钮
			this.sendBtn = false;
		}
	},
	methods: {
		// 输入手机号
		handlePhone(e) {
			this.phone = e.target.value.replace(/[^\d]/g, '');
		},
		// 发送短信
		sendSms() {
			if (this.sendBtn === true) {
				return;
			}
			let reg = /^1[3456789]\d{9}$/;
			if (reg.test(this.phone)) {
				if (this.sendUrl === '') {
					this.setError('短信发送接口有误');
				} else {
					this.$axios.post(this.sendUrl, {
						phone: this.phone
					}).then(res => {
						if (res.data.code === 200) {
							// 保存截止时间
							sessionStorage.wait = Math.round(new Date().getTime() / 1000) + 60;
							// 禁用获取按钮
							this.sendBtn = true;
							// 定义倒计时秒数
							this.wait = 60;
							// 进行倒计时计算
							this.timer();
							// 提示发送成功
							this.setSuccess(res.data.msg);
						} else {
							this.setError(res.data.msg);
						}
					}).catch(err => {
						this.setError(err);
					});
				}
			} else {
				this.setError('手机号码格式有误');
			}
		},
		// 输入验证码
		handleVerify(e) {
			this.verify = e.target.value.replace(/[^\d]/g, '');
			if (this.verify.length === this.maxlength) {
				let obj = {
					phone: this.phone,
					verify: this.verify
				};
				if (this.checkUrl === '') {
					this.setSuccess(obj);
				} else {
					this.$axios.post(this.checkUrl, obj).then(res => {
						if (res.data.code === 200) {
							this.setSuccess(obj);
						} else {
							this.setError(res.data.msg);
						}
					});
				}
			}
		},
		// 设定倒计时定时器
		timer() {
			if (this.wait > 0) {
				this.wait--;
				setTimeout(this.timer, 1000);
			}
			if (this.wait === 0) {
				this.sendBtn = false;
			}
		},
		// 传递报错信息
		setError(msg) {
			this.$emit('error', msg);
		},
		// 传递成功信息
		setSuccess(msg) {
			this.$emit('success', msg);
		}
	}
});

/***/ }),
/* 1 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__app_vue__ = __webpack_require__(2);

/* harmony default export */ __webpack_exports__["default"] = (__WEBPACK_IMPORTED_MODULE_0__app_vue__["a" /* default */]);

/***/ }),
/* 2 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_app_vue__ = __webpack_require__(0);
/* unused harmony namespace reexport */
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__node_modules_vue_loader_lib_template_compiler_index_id_data_v_5ef48958_hasScoped_true_buble_transforms_node_modules_vue_loader_lib_selector_type_template_index_0_app_vue__ = __webpack_require__(9);
var disposed = false
function injectStyle (ssrContext) {
  if (disposed) return
  __webpack_require__(3)
}
var normalizeComponent = __webpack_require__(8)
/* script */


/* template */

/* template functional */
var __vue_template_functional__ = false
/* styles */
var __vue_styles__ = injectStyle
/* scopeId */
var __vue_scopeId__ = "data-v-5ef48958"
/* moduleIdentifier (server only) */
var __vue_module_identifier__ = null
var Component = normalizeComponent(
  __WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_app_vue__["a" /* default */],
  __WEBPACK_IMPORTED_MODULE_1__node_modules_vue_loader_lib_template_compiler_index_id_data_v_5ef48958_hasScoped_true_buble_transforms_node_modules_vue_loader_lib_selector_type_template_index_0_app_vue__["a" /* default */],
  __vue_template_functional__,
  __vue_styles__,
  __vue_scopeId__,
  __vue_module_identifier__
)
Component.options.__file = "src/app.vue"

/* hot reload */
if (false) {(function () {
  var hotAPI = require("vue-hot-reload-api")
  hotAPI.install(require("vue"), false)
  if (!hotAPI.compatible) return
  module.hot.accept()
  if (!module.hot.data) {
    hotAPI.createRecord("data-v-5ef48958", Component.options)
  } else {
    hotAPI.reload("data-v-5ef48958", Component.options)
  }
  module.hot.dispose(function (data) {
    disposed = true
  })
})()}

/* harmony default export */ __webpack_exports__["a"] = (Component.exports);


/***/ }),
/* 3 */
/***/ (function(module, exports, __webpack_require__) {

// style-loader: Adds some css to the DOM by adding a <style> tag

// load the styles
var content = __webpack_require__(4);
if(typeof content === 'string') content = [[module.i, content, '']];
if(content.locals) module.exports = content.locals;
// add the styles to the DOM
var update = __webpack_require__(6)("0695537d", content, false, {});
// Hot Module Replacement
if(false) {
 // When the styles change, update the <style> tags
 if(!content.locals) {
   module.hot.accept("!!../node_modules/css-loader/index.js?sourceMap!../node_modules/vue-loader/lib/style-compiler/index.js?{\"vue\":true,\"id\":\"data-v-5ef48958\",\"scoped\":true,\"hasInlineConfig\":false}!../node_modules/vue-loader/lib/selector.js?type=styles&index=0!./app.vue", function() {
     var newContent = require("!!../node_modules/css-loader/index.js?sourceMap!../node_modules/vue-loader/lib/style-compiler/index.js?{\"vue\":true,\"id\":\"data-v-5ef48958\",\"scoped\":true,\"hasInlineConfig\":false}!../node_modules/vue-loader/lib/selector.js?type=styles&index=0!./app.vue");
     if(typeof newContent === 'string') newContent = [[module.id, newContent, '']];
     update(newContent);
   });
 }
 // When the module is disposed, remove the <style> tags
 module.hot.dispose(function() { update(); });
}

/***/ }),
/* 4 */
/***/ (function(module, exports, __webpack_require__) {

exports = module.exports = __webpack_require__(5)(true);
// imports


// module
exports.push([module.i, "\n.z_cell[data-v-5ef48958] {\n\tposition: relative;\n\tdisplay: flex;\n\tbox-sizing: border-box;\n\twidth: 100%;\n\tfont-size: 14px;\n\toverflow: hidden;\n\tcolor: #323233;\n\tline-height: 32px;\n\tpadding: 10px 0;\n\tbackground-color: #fff;\n}\n.z_cell-vant[data-v-5ef48958] {\n\tline-height: 24px;\n\tpadding: 10px 15px;\n}\n.z_cell-large[data-v-5ef48958] {\n\tpadding-top: 12px;\n\tpadding-bottom: 12px;\n}\n.z_cell-boder[data-v-5ef48958] {\n\tborder-bottom: 1px solid #ebedf0;\n}\n.z_cell-lable[data-v-5ef48958] {\n\tflex: none;\n\twidth: 90px;\n}\n.z_cell-body[data-v-5ef48958] {\n\tposition: relative;\n\tdisplay: flex;\n\tflex: 1;\n\talign-items: center;\n\tvertical-align: middle;\n\tbox-sizing: border-box;\n}\n.z_cell-field[data-v-5ef48958] {\n\twidth: 100%;\n\tdisplay: block;\n\ttext-align: left;\n\tpadding: 4px 8px;\n\theight: 32px;\n\tborder: none;\n\toutline: none;\n\tbackground-color: transparent;\n\tbox-sizing: border-box;\n}\n.z_cell-field-vant[data-v-5ef48958] {\n\tpadding: 0;\n\theight: 24px;\n}\n.z_cell-field-border[data-v-5ef48958] {\n\tborder: 1px solid #dcdee2;\n}\n.z_cell-button[data-v-5ef48958] {\n\tflex-shrink: 0;\n\tpadding-left: 10px;\n}\n.z_cell-btn[data-v-5ef48958] {\n\tdisplay: inline-block;\n\tfont-size: 12px;\n\tmin-width: 80px;\n\tpadding: 0 8px;\n\theight: 32px;\n\toutline: none;\n\tbackground-color: #fff;\n\tcursor: pointer;\n\tborder: 1px solid #ebedf0;\n}\n.z_cell-btn-disable[data-v-5ef48958] {\n\tcursor: default;\n\tcolor: #999;\n\tbackground-color: #ebedf0;\n}\n", "", {"version":3,"sources":["D:/npm/upload/src/src/app.vue"],"names":[],"mappings":";AAoMA;CACA,mBAAA;CACA,cAAA;CACA,uBAAA;CACA,YAAA;CACA,gBAAA;CACA,iBAAA;CACA,eAAA;CACA,kBAAA;CACA,gBAAA;CACA,uBAAA;CACA;AACA;CACA,kBAAA;CACA,mBAAA;CACA;AACA;CACA,kBAAA;CACA,qBAAA;CACA;AACA;CACA,iCAAA;CACA;AACA;CACA,WAAA;CACA,YAAA;CACA;AACA;CACA,mBAAA;CACA,cAAA;CACA,QAAA;CACA,oBAAA;CACA,uBAAA;CACA,uBAAA;CACA;AACA;CACA,YAAA;CACA,eAAA;CACA,iBAAA;CACA,iBAAA;CACA,aAAA;CACA,aAAA;CACA,cAAA;CACA,8BAAA;CACA,uBAAA;CACA;AACA;CACA,WAAA;CACA,aAAA;CACA;AACA;CACA,0BAAA;CACA;AACA;CACA,eAAA;CACA,mBAAA;CACA;AACA;CACA,sBAAA;CACA,gBAAA;CACA,gBAAA;CACA,eAAA;CACA,aAAA;CACA,cAAA;CACA,uBAAA;CACA,gBAAA;CACA,0BAAA;CACA;AACA;CACA,gBAAA;CACA,YAAA;CACA,0BAAA;CACA","file":"app.vue","sourcesContent":["<template>\r\n\t<div>\r\n\t\t<div\r\n\t\tclass=\"z_cell\"\r\n\t\t:class=\"{'z_cell-large': size === 'large', 'z_cell-boder': border, 'z_cell-vant': vant}\"\r\n\t\t>\r\n\t\t\t<div class=\"z_cell-lable\" :style=\"{'width': labelWidth + 'px'}\">手机号</div>\r\n\t\t\t<div class=\"z_cell-body\">\r\n\t\t\t\t<input\r\n\t\t\t\tclass=\"z_cell-field\"\r\n\t\t\t\ttype=\"text\"\r\n\t\t\t\tmaxlength=\"11\"\r\n\t\t\t\tv-model=\"phone\"\r\n\t\t\t\t@input=\"handlePhone\"\r\n\t\t\t\t:class=\"{'z_cell-field-border': !border, 'z_cell-field-vant': vant}\"\r\n\t\t\t\tplaceholder=\"请输入手机号码\"\r\n\t\t\t\t/>\r\n\t\t\t</div>\r\n\t\t</div>\r\n\t\t<div\r\n\t\tclass=\"z_cell\"\r\n\t\t:class=\"{'z_cell-large': size === 'large', 'z_cell-boder': border, 'z_cell-vant': vant}\"\r\n\t\t>\r\n\t\t\t<div class=\"z_cell-lable\" :style=\"{'width': labelWidth + 'px'}\">验证码</div>\r\n\t\t\t<div class=\"z_cell-body\">\r\n\t\t\t\t<input\r\n\t\t\t\tclass=\"z_cell-field\"\r\n\t\t\t\ttype=\"text\"\r\n\t\t\t\tv-model=\"verify\"\r\n\t\t\t\t@input=\"handleVerify\"\r\n\t\t\t\t:class=\"{'z_cell-field-border': !border, 'z_cell-field-vant': vant}\"\r\n\t\t\t\t:maxlength=\"maxlength\"\r\n\t\t\t\tplaceholder=\"请输入手机验证码\"\r\n\t\t\t\t/>\r\n\t\t\t\t<div class=\"z_cell-button\">\r\n\t\t\t\t\t<button\r\n\t\t\t\t\tclass=\"z_cell-btn\"\r\n\t\t\t\t\t@click=\"sendSms\"\r\n\t\t\t\t\t:class=\"{'z_cell-btn-disable': sendBtn}\"\r\n\t\t\t\t\tv-text=\"btnText\"\r\n\t\t\t\t\t>\r\n\t\t\t\t\t</button>\r\n\t\t\t\t</div>\r\n\t\t\t</div>\r\n\t\t</div>\r\n\t</div>\r\n</template>\r\n\r\n<script>\r\n\texport default {\r\n\t\tname: 'ZSmsVerify',\r\n\t\tprops: {\r\n\t\t\tsize: {\r\n\t\t\t\ttype: String,\r\n\t\t\t\tdefault: ''\r\n\t\t\t},\r\n\t\t\tborder: {\r\n\t\t\t\ttype: Boolean,\r\n\t\t\t\tdefault: true\r\n\t\t\t},\r\n\t\t\tlabelWidth: {\r\n\t\t\t\ttype: Number,\r\n\t\t\t\tdefault: 60\r\n\t\t\t},\r\n\t\t\tmaxlength: {\r\n\t\t\t\ttype: Number,\r\n\t\t\t\tdefault: 4\r\n\t\t\t},\r\n\t\t\tsendUrl: {\r\n\t\t\t\ttype: String,\r\n\t\t\t\tdefault: '',\r\n\t\t\t\trequired: true\r\n\t\t\t},\r\n\t\t\tcheckUrl: {\r\n\t\t\t\ttype: String,\r\n\t\t\t\tdefault: ''\r\n\t\t\t},\r\n\t\t\tvant: {\r\n\t\t\t\ttype: Boolean,\r\n\t\t\t\tdefault: false\r\n\t\t\t}\r\n\t\t},\r\n\t\tdata () {\r\n\t\t\treturn {\r\n\t\t\t\tsendBtn: false,\r\n\t\t\t\treadonly: false,\r\n\t\t\t\tphone: '',\r\n\t\t\t\tverify: '',\r\n\t\t\t\twait: 0\r\n\t\t\t}\r\n\t\t},\r\n\t\tcomputed: {\r\n\t\t\tbtnText () {\r\n\t\t\t\treturn this.wait > 0 ? this.wait + 's再获取' : '获取验证码'\r\n\t\t\t}\r\n\t\t},\r\n\t\tmounted () {\r\n\t\t\t// 页面加载时获取保存时间和当前时间的差值\r\n\t\t\tlet timeCount = sessionStorage.wait - Math.round(new Date().getTime() / 1000)\r\n\t\t\tif (timeCount > 0) {\r\n\t\t\t\tthis.wait = timeCount\r\n\t\t\t\tthis.sendBtn = true\r\n\t\t\t\tthis.timer()\r\n\t\t\t} else {\r\n\t\t\t\t// 本地存储等待时间清空\r\n\t\t\t\tsessionStorage.removeItem('wait')\r\n\t\t\t\t// 等待时间归零\r\n\t\t\t\tthis.wait = 0\r\n\t\t\t\t// 启用发送验证码按钮\r\n\t\t\t\tthis.sendBtn = false\r\n\t\t\t}\r\n\t\t},\r\n\t\tmethods: {\r\n\t\t\t// 输入手机号\r\n\t\t\thandlePhone (e) {\r\n\t\t\t\tthis.phone = e.target.value.replace(/[^\\d]/g,'')\r\n\t\t\t},\r\n\t\t\t// 发送短信\r\n\t\t\tsendSms () {\r\n\t\t\t\tif (this.sendBtn === true) {\r\n\t\t\t\t\treturn\r\n\t\t\t\t}\r\n\t\t\t\tlet reg = /^1[3456789]\\d{9}$/\r\n\t\t\t\tif (reg.test(this.phone)) {\r\n\t\t\t\t\tif (this.sendUrl === '') {\r\n\t\t\t\t\t\tthis.setError('短信发送接口有误')\r\n\t\t\t\t\t} else {\r\n\t\t\t\t\t\tthis.$axios.post(this.sendUrl, {\r\n\t\t\t\t\t\t\tphone: this.phone\r\n\t\t\t\t\t\t}).then(res => {\r\n\t\t\t\t\t\t\tif (res.data.code === 200) {\r\n\t\t\t\t\t\t\t\t// 保存截止时间\r\n\t\t\t\t\t\t\t\tsessionStorage.wait = Math.round(new Date().getTime() / 1000) + 60\r\n\t\t\t\t\t\t\t\t// 禁用获取按钮\r\n\t\t\t\t\t\t\t\tthis.sendBtn = true\r\n\t\t\t\t\t\t\t\t// 定义倒计时秒数\r\n\t\t\t\t\t\t\t\tthis.wait = 60\r\n\t\t\t\t\t\t\t\t// 进行倒计时计算\r\n\t\t\t\t\t\t\t\tthis.timer()\r\n\t\t\t\t\t\t\t\t// 提示发送成功\r\n\t\t\t\t\t\t\t\tthis.setSuccess(res.data.msg)\r\n\t\t\t\t\t\t\t} else {\r\n\t\t\t\t\t\t\t\tthis.setError(res.data.msg)\r\n\t\t\t\t\t\t\t}\r\n\t\t\t\t\t\t}).catch(err => {\r\n\t\t\t\t\t\t\tthis.setError(err)\r\n\t\t\t\t\t\t})\r\n\t\t\t\t\t}\r\n\t\t\t\t} else {\r\n\t\t\t\t\tthis.setError('手机号码格式有误')\r\n\t\t\t\t}\r\n\t\t\t},\r\n\t\t\t// 输入验证码\r\n\t\t\thandleVerify (e) {\r\n\t\t\t\tthis.verify = e.target.value.replace(/[^\\d]/g,'')\r\n\t\t\t\tif (this.verify.length === this.maxlength) {\r\n\t\t\t\t\tlet obj = {\r\n\t\t\t\t\t\t\tphone: this.phone,\r\n\t\t\t\t\t\t\tverify: this.verify\r\n\t\t\t\t\t\t}\r\n\t\t\t\t\tif (this.checkUrl === '') {\r\n\t\t\t\t\t\tthis.setSuccess(obj)\r\n\t\t\t\t\t} else {\r\n\t\t\t\t\t\tthis.$axios.post(this.checkUrl, obj).then(res => {\r\n\t\t\t\t\t\t\tif (res.data.code === 200) {\r\n\t\t\t\t\t\t\t\tthis.setSuccess(obj)\r\n\t\t\t\t\t\t\t} else {\r\n\t\t\t\t\t\t\t\tthis.setError(res.data.msg)\r\n\t\t\t\t\t\t\t}\r\n\t\t\t\t\t\t})\r\n\t\t\t\t\t} \r\n\t\t\t\t}\r\n\t\t\t},\r\n\t\t\t// 设定倒计时定时器\r\n\t\t\ttimer () {\r\n\t\t\t\tif (this.wait > 0) {\r\n\t\t\t\t\tthis.wait--\r\n\t\t\t\t\tsetTimeout(this.timer, 1000)\r\n\t\t\t\t}\r\n\t\t\t\tif (this.wait === 0) {\r\n\t\t\t\t\tthis.sendBtn = false\r\n\t\t\t\t}\r\n\t\t\t},\r\n\t\t\t// 传递报错信息\r\n\t\t\tsetError (msg) {\r\n\t\t\t\tthis.$emit('error', msg)\r\n\t\t\t},\r\n\t\t\t// 传递成功信息\r\n\t\t\tsetSuccess (msg) {\r\n\t\t\t\tthis.$emit('success', msg)\r\n\t\t\t}\r\n\t\t}\r\n\t}\r\n</script>\r\n\r\n<style scoped>\r\n\t.z_cell {\r\n\t\tposition: relative;\r\n\t\tdisplay: flex;\r\n\t\tbox-sizing: border-box;\r\n\t\twidth: 100%;\r\n\t\tfont-size: 14px;\r\n\t\toverflow: hidden;\r\n\t\tcolor: #323233;\r\n\t\tline-height: 32px;\r\n\t\tpadding: 10px 0;\r\n\t\tbackground-color: #fff;\r\n\t}\r\n\t.z_cell-vant {\r\n\t\tline-height: 24px;\r\n\t\tpadding: 10px 15px;\r\n\t}\r\n\t.z_cell-large {\r\n\t\tpadding-top: 12px;\r\n\t\tpadding-bottom: 12px;\r\n\t}\r\n\t.z_cell-boder {\r\n\t\tborder-bottom: 1px solid #ebedf0;\r\n\t}\r\n\t.z_cell-lable {\r\n\t\tflex: none;\r\n\t\twidth: 90px;\r\n\t}\r\n\t.z_cell-body {\r\n\t\tposition: relative;\r\n\t\tdisplay: flex;\r\n\t\tflex: 1;\r\n\t\talign-items: center;\r\n\t\tvertical-align: middle;\r\n\t\tbox-sizing: border-box;\r\n\t}\r\n\t.z_cell-field {\r\n\t\twidth: 100%;\r\n\t\tdisplay: block;\r\n\t\ttext-align: left;\r\n\t\tpadding: 4px 8px;\r\n\t\theight: 32px;\r\n\t\tborder: none;\r\n\t\toutline: none;\r\n\t\tbackground-color: transparent;\r\n\t\tbox-sizing: border-box;\r\n\t}\r\n\t.z_cell-field-vant {\r\n\t\tpadding: 0;\r\n\t\theight: 24px;\r\n\t}\r\n\t.z_cell-field-border {\r\n\t\tborder: 1px solid #dcdee2;\r\n\t}\r\n\t.z_cell-button {\r\n\t\tflex-shrink: 0;\r\n\t\tpadding-left: 10px;\r\n\t}\r\n\t.z_cell-btn {\r\n\t\tdisplay: inline-block;\r\n\t\tfont-size: 12px;\r\n\t\tmin-width: 80px;\r\n\t\tpadding: 0 8px;\r\n\t\theight: 32px;\r\n\t\toutline: none;\r\n\t\tbackground-color: #fff;\r\n\t\tcursor: pointer;\r\n\t\tborder: 1px solid #ebedf0;\r\n\t}\r\n\t.z_cell-btn-disable {\r\n\t\tcursor: default;\r\n\t\tcolor: #999;\r\n\t\tbackground-color: #ebedf0;\r\n\t}\r\n</style>"],"sourceRoot":""}]);

// exports


/***/ }),
/* 5 */
/***/ (function(module, exports) {

/*
	MIT License http://www.opensource.org/licenses/mit-license.php
	Author Tobias Koppers @sokra
*/
// css base code, injected by the css-loader
module.exports = function(useSourceMap) {
	var list = [];

	// return the list of modules as css string
	list.toString = function toString() {
		return this.map(function (item) {
			var content = cssWithMappingToString(item, useSourceMap);
			if(item[2]) {
				return "@media " + item[2] + "{" + content + "}";
			} else {
				return content;
			}
		}).join("");
	};

	// import a list of modules into the list
	list.i = function(modules, mediaQuery) {
		if(typeof modules === "string")
			modules = [[null, modules, ""]];
		var alreadyImportedModules = {};
		for(var i = 0; i < this.length; i++) {
			var id = this[i][0];
			if(typeof id === "number")
				alreadyImportedModules[id] = true;
		}
		for(i = 0; i < modules.length; i++) {
			var item = modules[i];
			// skip already imported module
			// this implementation is not 100% perfect for weird media query combinations
			//  when a module is imported multiple times with different media queries.
			//  I hope this will never occur (Hey this way we have smaller bundles)
			if(typeof item[0] !== "number" || !alreadyImportedModules[item[0]]) {
				if(mediaQuery && !item[2]) {
					item[2] = mediaQuery;
				} else if(mediaQuery) {
					item[2] = "(" + item[2] + ") and (" + mediaQuery + ")";
				}
				list.push(item);
			}
		}
	};
	return list;
};

function cssWithMappingToString(item, useSourceMap) {
	var content = item[1] || '';
	var cssMapping = item[3];
	if (!cssMapping) {
		return content;
	}

	if (useSourceMap && typeof btoa === 'function') {
		var sourceMapping = toComment(cssMapping);
		var sourceURLs = cssMapping.sources.map(function (source) {
			return '/*# sourceURL=' + cssMapping.sourceRoot + source + ' */'
		});

		return [content].concat(sourceURLs).concat([sourceMapping]).join('\n');
	}

	return [content].join('\n');
}

// Adapted from convert-source-map (MIT)
function toComment(sourceMap) {
	// eslint-disable-next-line no-undef
	var base64 = btoa(unescape(encodeURIComponent(JSON.stringify(sourceMap))));
	var data = 'sourceMappingURL=data:application/json;charset=utf-8;base64,' + base64;

	return '/*# ' + data + ' */';
}


/***/ }),
/* 6 */
/***/ (function(module, exports, __webpack_require__) {

/*
  MIT License http://www.opensource.org/licenses/mit-license.php
  Author Tobias Koppers @sokra
  Modified by Evan You @yyx990803
*/

var hasDocument = typeof document !== 'undefined'

if (typeof DEBUG !== 'undefined' && DEBUG) {
  if (!hasDocument) {
    throw new Error(
    'vue-style-loader cannot be used in a non-browser environment. ' +
    "Use { target: 'node' } in your Webpack config to indicate a server-rendering environment."
  ) }
}

var listToStyles = __webpack_require__(7)

/*
type StyleObject = {
  id: number;
  parts: Array<StyleObjectPart>
}

type StyleObjectPart = {
  css: string;
  media: string;
  sourceMap: ?string
}
*/

var stylesInDom = {/*
  [id: number]: {
    id: number,
    refs: number,
    parts: Array<(obj?: StyleObjectPart) => void>
  }
*/}

var head = hasDocument && (document.head || document.getElementsByTagName('head')[0])
var singletonElement = null
var singletonCounter = 0
var isProduction = false
var noop = function () {}
var options = null
var ssrIdKey = 'data-vue-ssr-id'

// Force single-tag solution on IE6-9, which has a hard limit on the # of <style>
// tags it will allow on a page
var isOldIE = typeof navigator !== 'undefined' && /msie [6-9]\b/.test(navigator.userAgent.toLowerCase())

module.exports = function (parentId, list, _isProduction, _options) {
  isProduction = _isProduction

  options = _options || {}

  var styles = listToStyles(parentId, list)
  addStylesToDom(styles)

  return function update (newList) {
    var mayRemove = []
    for (var i = 0; i < styles.length; i++) {
      var item = styles[i]
      var domStyle = stylesInDom[item.id]
      domStyle.refs--
      mayRemove.push(domStyle)
    }
    if (newList) {
      styles = listToStyles(parentId, newList)
      addStylesToDom(styles)
    } else {
      styles = []
    }
    for (var i = 0; i < mayRemove.length; i++) {
      var domStyle = mayRemove[i]
      if (domStyle.refs === 0) {
        for (var j = 0; j < domStyle.parts.length; j++) {
          domStyle.parts[j]()
        }
        delete stylesInDom[domStyle.id]
      }
    }
  }
}

function addStylesToDom (styles /* Array<StyleObject> */) {
  for (var i = 0; i < styles.length; i++) {
    var item = styles[i]
    var domStyle = stylesInDom[item.id]
    if (domStyle) {
      domStyle.refs++
      for (var j = 0; j < domStyle.parts.length; j++) {
        domStyle.parts[j](item.parts[j])
      }
      for (; j < item.parts.length; j++) {
        domStyle.parts.push(addStyle(item.parts[j]))
      }
      if (domStyle.parts.length > item.parts.length) {
        domStyle.parts.length = item.parts.length
      }
    } else {
      var parts = []
      for (var j = 0; j < item.parts.length; j++) {
        parts.push(addStyle(item.parts[j]))
      }
      stylesInDom[item.id] = { id: item.id, refs: 1, parts: parts }
    }
  }
}

function createStyleElement () {
  var styleElement = document.createElement('style')
  styleElement.type = 'text/css'
  head.appendChild(styleElement)
  return styleElement
}

function addStyle (obj /* StyleObjectPart */) {
  var update, remove
  var styleElement = document.querySelector('style[' + ssrIdKey + '~="' + obj.id + '"]')

  if (styleElement) {
    if (isProduction) {
      // has SSR styles and in production mode.
      // simply do nothing.
      return noop
    } else {
      // has SSR styles but in dev mode.
      // for some reason Chrome can't handle source map in server-rendered
      // style tags - source maps in <style> only works if the style tag is
      // created and inserted dynamically. So we remove the server rendered
      // styles and inject new ones.
      styleElement.parentNode.removeChild(styleElement)
    }
  }

  if (isOldIE) {
    // use singleton mode for IE9.
    var styleIndex = singletonCounter++
    styleElement = singletonElement || (singletonElement = createStyleElement())
    update = applyToSingletonTag.bind(null, styleElement, styleIndex, false)
    remove = applyToSingletonTag.bind(null, styleElement, styleIndex, true)
  } else {
    // use multi-style-tag mode in all other cases
    styleElement = createStyleElement()
    update = applyToTag.bind(null, styleElement)
    remove = function () {
      styleElement.parentNode.removeChild(styleElement)
    }
  }

  update(obj)

  return function updateStyle (newObj /* StyleObjectPart */) {
    if (newObj) {
      if (newObj.css === obj.css &&
          newObj.media === obj.media &&
          newObj.sourceMap === obj.sourceMap) {
        return
      }
      update(obj = newObj)
    } else {
      remove()
    }
  }
}

var replaceText = (function () {
  var textStore = []

  return function (index, replacement) {
    textStore[index] = replacement
    return textStore.filter(Boolean).join('\n')
  }
})()

function applyToSingletonTag (styleElement, index, remove, obj) {
  var css = remove ? '' : obj.css

  if (styleElement.styleSheet) {
    styleElement.styleSheet.cssText = replaceText(index, css)
  } else {
    var cssNode = document.createTextNode(css)
    var childNodes = styleElement.childNodes
    if (childNodes[index]) styleElement.removeChild(childNodes[index])
    if (childNodes.length) {
      styleElement.insertBefore(cssNode, childNodes[index])
    } else {
      styleElement.appendChild(cssNode)
    }
  }
}

function applyToTag (styleElement, obj) {
  var css = obj.css
  var media = obj.media
  var sourceMap = obj.sourceMap

  if (media) {
    styleElement.setAttribute('media', media)
  }
  if (options.ssrId) {
    styleElement.setAttribute(ssrIdKey, obj.id)
  }

  if (sourceMap) {
    // https://developer.chrome.com/devtools/docs/javascript-debugging
    // this makes source maps inside style tags work properly in Chrome
    css += '\n/*# sourceURL=' + sourceMap.sources[0] + ' */'
    // http://stackoverflow.com/a/26603875
    css += '\n/*# sourceMappingURL=data:application/json;base64,' + btoa(unescape(encodeURIComponent(JSON.stringify(sourceMap)))) + ' */'
  }

  if (styleElement.styleSheet) {
    styleElement.styleSheet.cssText = css
  } else {
    while (styleElement.firstChild) {
      styleElement.removeChild(styleElement.firstChild)
    }
    styleElement.appendChild(document.createTextNode(css))
  }
}


/***/ }),
/* 7 */
/***/ (function(module, exports) {

/**
 * Translates the list format produced by css-loader into something
 * easier to manipulate.
 */
module.exports = function listToStyles (parentId, list) {
  var styles = []
  var newStyles = {}
  for (var i = 0; i < list.length; i++) {
    var item = list[i]
    var id = item[0]
    var css = item[1]
    var media = item[2]
    var sourceMap = item[3]
    var part = {
      id: parentId + ':' + i,
      css: css,
      media: media,
      sourceMap: sourceMap
    }
    if (!newStyles[id]) {
      styles.push(newStyles[id] = { id: id, parts: [part] })
    } else {
      newStyles[id].parts.push(part)
    }
  }
  return styles
}


/***/ }),
/* 8 */
/***/ (function(module, exports) {

/* globals __VUE_SSR_CONTEXT__ */

// IMPORTANT: Do NOT use ES2015 features in this file.
// This module is a runtime utility for cleaner component module output and will
// be included in the final webpack user bundle.

module.exports = function normalizeComponent (
  rawScriptExports,
  compiledTemplate,
  functionalTemplate,
  injectStyles,
  scopeId,
  moduleIdentifier /* server only */
) {
  var esModule
  var scriptExports = rawScriptExports = rawScriptExports || {}

  // ES6 modules interop
  var type = typeof rawScriptExports.default
  if (type === 'object' || type === 'function') {
    esModule = rawScriptExports
    scriptExports = rawScriptExports.default
  }

  // Vue.extend constructor export interop
  var options = typeof scriptExports === 'function'
    ? scriptExports.options
    : scriptExports

  // render functions
  if (compiledTemplate) {
    options.render = compiledTemplate.render
    options.staticRenderFns = compiledTemplate.staticRenderFns
    options._compiled = true
  }

  // functional template
  if (functionalTemplate) {
    options.functional = true
  }

  // scopedId
  if (scopeId) {
    options._scopeId = scopeId
  }

  var hook
  if (moduleIdentifier) { // server build
    hook = function (context) {
      // 2.3 injection
      context =
        context || // cached call
        (this.$vnode && this.$vnode.ssrContext) || // stateful
        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
      // 2.2 with runInNewContext: true
      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__
      }
      // inject component styles
      if (injectStyles) {
        injectStyles.call(this, context)
      }
      // register component module identifier for async chunk inferrence
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier)
      }
    }
    // used by ssr in case component is cached and beforeCreate
    // never gets called
    options._ssrRegister = hook
  } else if (injectStyles) {
    hook = injectStyles
  }

  if (hook) {
    var functional = options.functional
    var existing = functional
      ? options.render
      : options.beforeCreate

    if (!functional) {
      // inject component registration as beforeCreate hook
      options.beforeCreate = existing
        ? [].concat(existing, hook)
        : [hook]
    } else {
      // for template-only hot-reload because in that case the render fn doesn't
      // go through the normalizer
      options._injectStyles = hook
      // register for functioal component in vue file
      options.render = function renderWithStyleInjection (h, context) {
        hook.call(context)
        return existing(h, context)
      }
    }
  }

  return {
    esModule: esModule,
    exports: scriptExports,
    options: options
  }
}


/***/ }),
/* 9 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
var render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c("div", [
    _c(
      "div",
      {
        staticClass: "z_cell",
        class: {
          "z_cell-large": _vm.size === "large",
          "z_cell-boder": _vm.border,
          "z_cell-vant": _vm.vant
        }
      },
      [
        _c(
          "div",
          {
            staticClass: "z_cell-lable",
            style: { width: _vm.labelWidth + "px" }
          },
          [_vm._v("手机号")]
        ),
        _vm._v(" "),
        _c("div", { staticClass: "z_cell-body" }, [
          _c("input", {
            directives: [
              {
                name: "model",
                rawName: "v-model",
                value: _vm.phone,
                expression: "phone"
              }
            ],
            staticClass: "z_cell-field",
            class: {
              "z_cell-field-border": !_vm.border,
              "z_cell-field-vant": _vm.vant
            },
            attrs: {
              type: "text",
              maxlength: "11",
              placeholder: "请输入手机号码"
            },
            domProps: { value: _vm.phone },
            on: {
              input: [
                function($event) {
                  if ($event.target.composing) {
                    return
                  }
                  _vm.phone = $event.target.value
                },
                _vm.handlePhone
              ]
            }
          })
        ])
      ]
    ),
    _vm._v(" "),
    _c(
      "div",
      {
        staticClass: "z_cell",
        class: {
          "z_cell-large": _vm.size === "large",
          "z_cell-boder": _vm.border,
          "z_cell-vant": _vm.vant
        }
      },
      [
        _c(
          "div",
          {
            staticClass: "z_cell-lable",
            style: { width: _vm.labelWidth + "px" }
          },
          [_vm._v("验证码")]
        ),
        _vm._v(" "),
        _c("div", { staticClass: "z_cell-body" }, [
          _c("input", {
            directives: [
              {
                name: "model",
                rawName: "v-model",
                value: _vm.verify,
                expression: "verify"
              }
            ],
            staticClass: "z_cell-field",
            class: {
              "z_cell-field-border": !_vm.border,
              "z_cell-field-vant": _vm.vant
            },
            attrs: {
              type: "text",
              maxlength: _vm.maxlength,
              placeholder: "请输入手机验证码"
            },
            domProps: { value: _vm.verify },
            on: {
              input: [
                function($event) {
                  if ($event.target.composing) {
                    return
                  }
                  _vm.verify = $event.target.value
                },
                _vm.handleVerify
              ]
            }
          }),
          _vm._v(" "),
          _c("div", { staticClass: "z_cell-button" }, [
            _c("button", {
              staticClass: "z_cell-btn",
              class: { "z_cell-btn-disable": _vm.sendBtn },
              domProps: { textContent: _vm._s(_vm.btnText) },
              on: { click: _vm.sendSms }
            })
          ])
        ])
      ]
    )
  ])
}
var staticRenderFns = []
render._withStripped = true
var esExports = { render: render, staticRenderFns: staticRenderFns }
/* harmony default export */ __webpack_exports__["a"] = (esExports);
if (false) {
  module.hot.accept()
  if (module.hot.data) {
    require("vue-hot-reload-api")      .rerender("data-v-5ef48958", esExports)
  }
}

/***/ })
/******/ ]);
});
//# sourceMappingURL=ZSmsVerify.js.map